#include <iostream>
#include "function.h"
#include <vector>
#include <cstdlib>
#include <ctime>

int main() {
	std::srand(std::time(nullptr));
	createData_stream();
	createData_generate();
	std::vector<int> num1, num2(100);
	loadData_stream(num1, "Data.txt");
	loadData_copy(num2, "Data.txt");

	std::vector<int> res1 = modify_1(num1);
	std::cout << std::endl << "Modify_1:" << std::endl;
	for (const auto& e : res1) std::cout << e << "  ";

	
	modify_iterator(num2.begin(), num2.end());
	std::cout << std::endl << "Modify_iterator:" << std::endl;
	for (const auto& e : num2) std::cout << e << "  ";

	std::cout << std::endl << "Modify_for_each:" << std::endl;
	modify_for_each(num1);
	for (const auto& e : num1) std::cout << e << "  ";

	std::cout << std::endl << "Modify_transform:" << std::endl;
	modify_transform("Data.txt", "Data.txt");
	for (const auto& e : num1) std::cout << e << "  ";

	outputResult_stream("Data.txt", num1);
	std::vector<int> res2(100);
	outputResult_copy("Data.txt", res2);
	return 0;
}
